## Class Auth_OpenID_FileStore

Description

This is a filesystem-based store for OpenID associations and

nonces. This store should be safe for use in concurrent systems on both windows and unix (excluding NFS filesystems). There are a couple race conditions in the system, but those failure cases have been set up in such a way that the worst-case behavior is someone having to try to log in a second time.

Most of the methods of this class are implementation details. People wishing to just use this store need only pay attention to the constructor.

- author: JanRain, Inc. <openid@janrain.com>

Located in /Auth/OpenID/FileStore.php (line 39)

    Auth_OpenID_OpenIDStore
       |
       --Auth_OpenID_FileStore

Method Summary
Auth_OpenID_FileStore Auth_OpenID_FileStore (string $directory)
void clean ()
void cleanupAssociations ()
void cleanupNonces ()
void destroy ()
mixed getAssociation ( $server_url, [ $handle = null])
string getAssociationFilename ( $server_url, $handle)
bool removeAssociation ( $server_url, $handle)
void storeAssociation ( $server_url, $association)
bool useNonce ( $server_url, $timestamp, $salt)
Methods
Constructor Auth_OpenID_FileStore (line 49)

Initializes a new Auth_OpenID_FileStore. This initializes the nonce and association directories, which are subdirectories of the directory passed in.

Auth_OpenID_FileStore Auth_OpenID_FileStore (string $directory)

- string $directory: This is the directory to put the store directories in.

clean (line 440)
void clean ()
cleanupAssociations (line 604)
void cleanupAssociations ()

Redefinition of:

Auth_OpenID_OpenIDStore::cleanupAssociations()

cleanupNonces (line 119)
void cleanupNonces ()

Redefinition of:

Auth_OpenID_OpenIDStore::cleanupNonces()

destroy (line 77)
void destroy ()
getAssociation (line 232)

Retrieve an association. If no handle is specified, return the association with the most recent issue time.

mixed getAssociation ( $server_url, [ $handle = null])

- $server_url
- $handle

Redefinition of:

Auth_OpenID_OpenIDStore::getAssociation()
  This method returns an Association object from storage that matches the server URL and, if specified, handle. It returns null if no such association is found or if the matching association is expired.

getAssociationFilename (line 150)

Create a unique filename for a given server url and

handle. This implementation does not assume anything about the format of the handle. The filename that is returned will contain the domain name from the server URL for ease of human inspection of the data directory.

string getAssociationFilename ( $server_url, $handle)

- $server_url
- $handle

removeAssociation (line 338)

Remove an association if it exists. Do nothing if it does not.

bool removeAssociation ( $server_url, $handle)

- $server_url
- $handle

Redefinition of:

Auth_OpenID_OpenIDStore::removeAssociation()
  This method removes the matching association if it's found, and returns whether the association was removed or not.

storeAssociation (line 182)

Store an association in the association directory.

void storeAssociation ( $server_url, $association)

- $server_url
- $association

Redefinition of:

Auth_OpenID_OpenIDStore::storeAssociation()
  This method puts an Association object into storage, retrievable by server URL and handle.

useNonce (line 360)

Return whether this nonce is present. As a side effect, mark it as no longer present.

bool useNonce ( $server_url, $timestamp, $salt)

- $server_url
- $timestamp
- $salt

Redefinition of:

Auth_OpenID_OpenIDStore::useNonce()
  Called when using a nonce.

#### Inherited Methods

Inherited From Auth_OpenID_OpenIDStore

> Auth_OpenID_OpenIDStore::cleanup()
> Auth_OpenID_OpenIDStore::cleanupAssociations()
> Auth_OpenID_OpenIDStore::cleanupNonces()
> Auth_OpenID_OpenIDStore::getAssociation()
> Auth_OpenID_OpenIDStore::removeAssociation()
> Auth_OpenID_OpenIDStore::reset()
> Auth_OpenID_OpenIDStore::storeAssociation()
> Auth_OpenID_OpenIDStore::supportsCleanup()
> Auth_OpenID_OpenIDStore::useNonce()

Documentation generated on Tue, 21 Apr 2009 11:31:31 -0700 by phpDocumentor 1.3.2